<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

    public function up()
{
    Schema::create('sections', function (Blueprint $table) {
        $table->id();
        $table->foreignId('survey_id')->constrained('surveys')->onDelete('cascade');
        $table->string('title');
        $table->text('description')->nullable();
        $table->integer('order')->default(0); // Untuk urutan Bahagian A, B, C
        $table->timestamps();
    });
}

    public function down(): void
    {
        Schema::dropIfExists('sections');
    }
};
